Skip to content

Get repository status

POST
/v1/sandbox/{sandboxID}/git/status

Run git status on a repository inside the sandbox.

sandboxID
required
string

Unique sandbox identifier.

object
path
required

Path to the git repository.

string

Status output.

object
output
required

Command output text.

string
exit_code
required

Exit code of the git command.

integer format: int32

Bad request – validation error.

object
message
required

Summary message, e.g. “Invalid request”.

string
errors
required
Array<object>
object
field
required

JSON field name that failed validation (e.g. “path”, “command”).

string
error
required

Human-readable description of the validation failure.

string

Unauthorized – invalid or missing API key.

object
message
required

Human-readable error message.

string